Bug 1187738 - purge-kernels fails with kernels from Kernel:HEAD
purge-kernels fails with kernels from Kernel:HEAD
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: libzypp
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-27 12:23 UTC by Andreas Schwab
Modified: 2021-11-24 02:32 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schwab 2021-06-27 12:23:46 UTC
zypper purge-kernels doesn't find the matching kernel package if the running kernel is an rc kernel from Kernel:HEAD.  The kernel packages now have the version 5.13~rc7 instead of 5.13.rc7.

2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(setUnameR):82 Set uname 5.13.0-rc7-17-default
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(setUnameR):99 Parsed info from uname: 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(setUnameR):100 Kernel Flavour: default
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(setUnameR):101 Kernel Edition: 5.13.rc7-17
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(Impl):71 Detected running kernel: 5.13.rc7-17 default riscv64
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):449 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):449 --------------------- Starting to mark obsolete kernels ---------------------
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(parseKeepSpec):290 Parsing keep spec: latest,latest-1,running
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):539 Searching for obsolete multiversion kernel packages.
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):543 Found installed multiversion kernel package (185)kernel-default-5.12.10-13.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):546 Identified as a kernel package 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):543 Found installed multiversion kernel package (186)kernel-default-5.12.12-14.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):546 Identified as a kernel package 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):543 Found installed multiversion kernel package (187)kernel-default-5.13~rc7-16.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):546 Identified as a kernel package 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):543 Found installed multiversion kernel package (188)kernel-default-5.13~rc7-17.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):546 Identified as a kernel package 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(markObsoleteKernels):606 Grouped packages: 
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):608   Group ident: default
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):609    Group type: 1
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):610    Group flav: default
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):612           Arch: riscv64
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):614                   Edition: 5.12.10-13.1
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):616                            (185)kernel-default-5.12.10-13.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):614                   Edition: 5.12.12-14.1
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):616                            (186)kernel-default-5.12.12-14.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):614                   Edition: 5.13~rc7-16.1
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):616                            (187)kernel-default-5.13~rc7-16.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):614                   Edition: 5.13~rc7-17.1
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):616                            (188)kernel-default-5.13~rc7-17.1.riscv64(@System)
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(fillKeepList):367 Starting with group default
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(fillKeepList):371 Starting with arch riscv64
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(fillKeepList):383 Matching packages against running kernel 5.13.rc7-17-default-riscv64
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(fillKeepList):390 Running kernel 5.13.rc7-17-default-riscv64 not installed.
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(fillKeepList):391 NOT removing any packages for flavor default-riscv64 .
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):354 Marking package (185)kernel-default-5.12.10-13.1.riscv64(@System) as to keep.
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):354 Marking package (186)kernel-default-5.12.12-14.1.riscv64(@System) as to keep.
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):354 Marking package (187)kernel-default-5.13~rc7-16.1.riscv64(@System) as to keep.
2021-06-27 12:09:52 <1> hifive2(30676) [PurgeKernels] PurgeKernels.cc(operator()):354 Marking package (188)kernel-default-5.13~rc7-17.1.riscv64(@System) as to keep.
Comment 1 Benjamin Zeller 2021-06-28 11:42:16 UTC
Yes, seems there was a packaging change in regards to the naming to fix issue with ordering by version.
Comment 2 Benjamin Zeller 2021-06-28 11:42:24 UTC
https://github.com/openSUSE/libzypp/pull/323
Comment 3 Benjamin Zeller 2021-07-12 08:29:20 UTC
Fixed in libzypp >= 17.27.1
Comment 4 Michal Koutný 2021-07-25 08:45:27 UTC
Hi. I still have libzypp 17.27.0-1.1 and I can't find the newer version neither in OBS (devel projects). Any estimate when will this fix reach TW repos?
Comment 5 Michael Andres 2021-07-26 07:34:49 UTC
Will be submitted to TW today (and a few more days maybe to reach the TW repos).
Comment 8 Swamp Workflow Management 2021-10-22 13:18:57 UTC
openSUSE-RU-2021:3501-1: An update that has 15 recommended fixes and contains two features can now be installed.

Category: recommended (moderate)
Bug References: 1186503,1186602,1187224,1187425,1187466,1187738,1187760,1188156,1188435,1189031,1190059,1190199,1190465,1190712,1190815
CVE References: 
JIRA References: ECO-2911,SLE-16862
Sources used:
openSUSE Leap 15.3 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1, zypper-1.14.49-16.1
Comment 9 Swamp Workflow Management 2021-10-22 13:23:51 UTC
SUSE-RU-2021:3501-1: An update that has 15 recommended fixes and contains two features can now be installed.

Category: recommended (moderate)
Bug References: 1186503,1186602,1187224,1187425,1187466,1187738,1187760,1188156,1188435,1189031,1190059,1190199,1190465,1190712,1190815
CVE References: 
JIRA References: ECO-2911,SLE-16862
Sources used:
SUSE MicroOS 5.1 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1, zypper-1.14.49-16.1
SUSE MicroOS 5.0 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1, zypper-1.14.49-16.1
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    libsolv-0.7.20-9.2, protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    libsolv-0.7.20-9.2, protobuf-3.9.2-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1, zypper-1.14.49-16.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1, zypper-1.14.49-16.1
SUSE Linux Enterprise Installer 15-SP2 (src):    libsolv-0.7.20-9.2, libzypp-17.28.5-15.2, protobuf-3.9.2-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-11-24 02:22:32 UTC
SUSE-RU-2021:3780-1: An update that has 31 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1153687,1182372,1183268,1183589,1184326,1184399,1184997,1185325,1186447,1186503,1186602,1187224,1187425,1187466,1187738,1187760,1188156,1188435,1189031,1190059,1190199,1190356,1190465,1190712,1190815,1191286,1191324,1191370,1191609,1192337,1192436
CVE References: 
JIRA References: SLE-18858
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    libsolv-0.7.20-3.48.1, libzypp-17.28.8-3.78.1, zypper-1.14.50-3.60.1
SUSE Linux Enterprise Server 15-LTSS (src):    libsolv-0.7.20-3.48.1, libzypp-17.28.8-3.78.1, zypper-1.14.50-3.60.1
SUSE Linux Enterprise Installer 15 (src):    libsolv-0.7.20-3.48.1, libzypp-17.28.8-3.78.1, zypper-1.14.50-3.60.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libsolv-0.7.20-3.48.1, libzypp-17.28.8-3.78.1, zypper-1.14.50-3.60.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libsolv-0.7.20-3.48.1, libzypp-17.28.8-3.78.1, zypper-1.14.50-3.60.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-11-24 02:32:00 UTC
SUSE-RU-2021:3781-1: An update that has 31 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1153687,1182372,1183268,1183589,1184326,1184399,1184997,1185325,1186447,1186503,1186602,1187224,1187425,1187466,1187738,1187760,1188156,1188435,1189031,1190059,1190199,1190356,1190465,1190712,1190815,1191286,1191324,1191370,1191609,1192337,1192436
CVE References: 
JIRA References: SLE-18858
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE Linux Enterprise Installer 15-SP1 (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE Enterprise Storage 6 (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1
SUSE CaaS Platform 4.0 (src):    libsolv-0.7.20-4.3.1, libzypp-17.28.8-3.61.1, zypper-1.14.50-3.46.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.